Page MenuHomePhabricator

[reportupdater] Allow defaults for all config parameters
Closed, ResolvedPublic5 Estimated Story Points

Description

Today, only the db parameter is allowed to have default.
That was implemented, because of backwards compatibility with the former generate.py.
But it can easily be extended to all other config parameters, so that a config like this:

daily_report:
    type: script
    starts: 2018-01-01
    granularity: days
    explode_by:
        wiki: wikis.txt

weekly_report:
    type: script
    starts: 2018-01-01
    granularity: weeks
    explode_by:
        wiki: wikis.txt

monthly_report:
    type: script
    starts: 2018-01-01
    granularity: months
    explode_by:
        wiki: wikis.txt

could look like that:

defaults:
    type: script
    starts: 2018-01-01
    explode_by:
        wiki: wikis.txt

daily_report:
    granularity: days

weekly_report:
    granularity: weeks

monthly_report:
    granularity: months

ReportUpdater documentation: https://wikitech.wikimedia.org/wiki/Analytics/Systems/Reportupdater
ReportUpdater source code: https://gerrit.wikimedia.org/r/#/admin/projects/analytics/reportupdater

Event Timeline

mforns created this task.Apr 26 2018, 3:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2018, 3:10 PM
mforns triaged this task as Unbreak Now! priority.Apr 26 2018, 4:32 PM
mforns moved this task from Incoming to Smart Tools for Better Data on the Analytics board.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 26 2018, 4:32 PM
mforns lowered the priority of this task from Unbreak Now! to Needs Triage.Apr 26 2018, 4:34 PM
mforns triaged this task as Low priority.Apr 30 2018, 4:49 PM
Vvjjkkii renamed this task from [reportupdater] Allow defaults for all config parameters to g5daaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
AfroThundr3007730 renamed this task from g5daaaaaaa to [reportupdater] Allow defaults for all config parameters.Jul 1 2018, 7:04 AM
AfroThundr3007730 lowered the priority of this task from High to Low.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 added a subscriber: Aklapper.
Milimetric raised the priority of this task from Low to Medium.Oct 18 2018, 5:11 PM
Milimetric added a project: good first task.
Milimetric set the point value for this task to 5.
awight added a subscriber: awight.Mar 13 2019, 3:47 PM
awight removed a subscriber: awight.Mar 21 2019, 4:03 PM

I got a ping from @Geekbug, will update description here to link to ReportUpdater docs and source. Feel free to ping on IRC again.

Milimetric updated the task description. (Show Details)Jul 4 2019, 1:41 AM
mforns lowered the priority of this task from Medium to Low.Dec 9 2019, 5:46 PM

Change 623060 had a related patch set uploaded (by Paul Kernfeld; owner: Paul Kernfeld):
[analytics/reportupdater@master] reader.py: Get report granularity from defaults

https://gerrit.wikimedia.org/r/623060

paulkernfeld added a subscriber: paulkernfeld.

I saw this was tagged with "good first task" so I put together a partial implementation of this in Gerrit.

Nuria added a subscriber: Nuria.Aug 29 2020, 3:10 AM

@mforns can probably code review this when he is back

Change 623060 merged by Milimetric:
[analytics/reportupdater@master] reader.py: Get all report keys from defaults

https://gerrit.wikimedia.org/r/623060

Nuria added a comment.Sep 1 2020, 10:25 PM

@paulkernfeld @Milimetric seems that this change need a companion chnage in https://wikitech.wikimedia.org/wiki/Analytics/Systems/Reportupdater#Config_file can @paulkernfeld take care of that one as well?

Nuria moved this task from Next Up to Ready to Deploy on the Analytics-Kanban board.

@Nuria thanks for pointing that out! I just made the companion wiki edit.

Nuria added a comment.Sep 2 2020, 12:05 AM

Thank you @paulkernfeld , let us know if you are interested on another task, you can ping us in #wikimedia-analytics on irc

an example of one (in js) https://phabricator.wikimedia.org/T261502

@Nuria thanks, I will check that one out.

Nuria closed this task as Resolved.Sep 18 2020, 4:58 PM